export type TianGan = typeof TIAN_GAN[number];
export type DiZhi = typeof DI_ZHI[number];
export declare const TIAN_GAN: readonly ["甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸"];
export declare const DI_ZHI: readonly ["子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥"];
type WuShuDunResult = {
    allGanZhi: string[];
    currentGanZhi: string;
};
/**
 * 五鼠遁算法实现
 * @param dayGanZhi 日天干地支（如"甲子"）
 * @param currentShiChen 当前时辰（可选），不填则返回子时
 * @throws 参数不合法时抛出错误
 */
export declare function useWuShuDun(dayGanZhi: `${TianGan}${DiZhi}`, currentShiChen?: DiZhi): WuShuDunResult;
export {};
